---
title: Subscriptions Endpoints (2017/01)
slug: legacy-docs/subscriptions-endpoints-201701
docTags: 
createdAt: 2025-03-11T07:03:32.130Z
---

These endpoints allow users to manage device subscriptions on a network. 

**Base URL for these endpoints:**  *https\://api.brightsignnetwork.com/2017/01/REST/Subscriptions*

## GET  /

Returns a list of subscriptions

**Parameters**

`marker`  string

A value specifying which page to retrieve. This value is useful if the `isTruncated` entry in the response body of the previous GET call indicates that the number of presentations exceeds the `pageSize`.

`pageSize`  int

The maximum number of presentations that can be contained in the response body

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns a [paged list](docId\:yN3GU-aSyfiSjdxgbJdVB) of [Device Subscription Entity](docId\:PuGKMiVW9S1lN9dkG1e3Z) instances on a network. This will return not more than 100 entities along with the information necessary to return any other remaining pages.

## POST  /

Activates subscription keys on a network

**Request Body**

`key`  string

The name of the subscription key (a token, that when activated, associates the key with subscriptions)

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Complete information about the subscriptions which have been successfully added to a network as the result of activation.

## GET  /Operations/ 

Returns the operational permissions granted to roles for specific business operations

**Response Body**

Returns the [Business Operations Entity](docId\:FwDUJPp-AohPF3RES_SZ_)
